Bug 809825

Summary: Display brightness graph does not show after suspend.
Product: [Fedora] Fedora Reporter: Dee'Kej <deekej>
Component: pm-utilsAssignee: Jaroslav Škarvada <jskarvad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 18CC: dkovalsk, hughsient, jskarvad, pknirsch
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 06:56:31 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Dee'Kej 2012-04-04 09:17:42 EDT
Description of problem:

Normally, when you use your HW buttons to adjust brihtness, Fedora displays small "graph" in the middle of screen showing you what level of brightness you have actually set. This little "graph" does not show after I suspend my notebook and resume from it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Suspend notebook.
2. Resume from suspend.
3. Try to adjust brightness.
  
Actual results:
"Graph" not displaying brightness level.

Expected results:
"Graph" displaying brightness level.


Additional info:

I come over this little "bug" on Fedora testing day, link to results:
https://fedoraproject.org/wiki/Test_Day:2012-04-04_Power_Management#cite_note
(user Dee'Kej)
Comment 2 David Kovalsky 2013-01-07 16:28:32 EST
For me, in XFCE, the display comes up with maximum brightness. 

And the brightness widget doesn't do anything. Hardware buttons doesn't work either.

My setup is here:
https://bugzilla.redhat.com/show_bug.cgi?id=892797#c0
Comment 3 Fedora End Of Life 2013-07-03 19:17:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 David Kovalsky 2013-07-08 03:37:04 EDT
Still broken for me on F18, updating release.
Comment 5 Jaroslav Škarvada 2013-07-08 04:20:55 EDT
In F18 the suspend/resume is no longer handled by pm-utils. It is now handled by systemd. But your problem is probably in the kernel. Please check whether your kernel is sending the correct events:

# systemctl start acpid
# acpi_listen

Check whether the brigthness up/down are send and whether they are the same before the suspend and after the resume.
Comment 6 Fedora End Of Life 2013-12-21 03:34:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 06:56:34 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.